%define module netaddr

Name:           python-%{module}
Version:        0.7.18
Release:        %mkrel 2
License:        BSD3c
Summary:        Pythonic manipulation of IPv4, IPv6, CIDR, EUI and MAC network addresses
Url:            https://github.com/drkjam/netaddr
Group:          Development/Python
Source:         https://pypi.python.org/packages/source/n/netaddr/%{module}-%{version}.tar.gz
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildArch:      noarch

%description
A pure Python network address representation and manipulation library.

netaddr provides a Pythonic way of working with:
    - IPv4 and IPv6 addresses and subnets (including CIDR notation);
    - MAC (Media Access Control) addresses in multiple formats;
    - IEEE EUI-64, OUI and IAB identifiers;
    - a user friendly IP glob-style format.

Included are routines for:
    - generating, sorting and summarizing IP addresses;
    - converting IP addresses and ranges between various different formats;
    - performing set based operations on groups of IP addresses and subnets;
    - arbitrary IP address range calculations and conversions;
    - querying IEEE OUI and IAB organisational information;
    - querying of IP standards related data from key IANA data sources.

%package -n python3-%{module}
Summary:        Pythonic manipulation of IPv4, IPv6, CIDR, EUI and MAC network addresses
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{module}
A pure Python 3 network address representation and manipulation library.

netaddr provides a Pythonic way of working with:
    - IPv4 and IPv6 addresses and subnets (including CIDR notation);
    - MAC (Media Access Control) addresses in multiple formats;
    - IEEE EUI-64, OUI and IAB identifiers;
    - a user friendly IP glob-style format.

%prep
%setup -q -n %{module}-%{version}
chmod -x AUTHORS CHANGELOG COPYRIGHT README.md LICENSE THANKS # remove executable bit from docs
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install 
mv %{buildroot}%{_bindir}/%{module} %{buildroot}%{_bindir}/python3-%{module}
popd

%py2_install

%files
%doc AUTHORS CHANGELOG COPYRIGHT README.md LICENSE THANKS
%{_bindir}/%{module}
%{python2_sitelib}/*

%files -n python3-%{module}
%doc AUTHORS CHANGELOG COPYRIGHT README.md LICENSE THANKS
%{_bindir}/python3-%{module}
%{python3_sitelib}/*


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.7.18-2.mga6
+ Revision: 970858
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 0.7.18-1.mga6
+ Revision: 888615
- new version: 0.7.18 + rebuild for python 3.5
- use new python macros
- update Source URL

* Wed Jan 21 2015 bcornec <bcornec> 0.7.13-1.mga5
+ Revision: 811680
- Update to upstream 0.7.13 to avoid security pbs mentioned in http://bugs.mageia.org/show_bug.cgi?id=15010

* Wed Oct 15 2014 umeabot <umeabot> 0.7.10-7.mga5
+ Revision: 740310
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7.10-6.mga5
+ Revision: 729144
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7.10-5.mga5
+ Revision: 688171
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.7.10-4.mga5
+ Revision: 628839
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.7.10-3.mga4
+ Revision: 543830
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.10-2.mga4
+ Revision: 498961
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 0.7.10-1.mga4
+ Revision: 497562
- Update to 0.7.10
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.7.5-2.mga3
+ Revision: 379158
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 neoclust <neoclust> 0.7.5-1.mga3
+ Revision: 313246
- imported package python-netaddr


* Wed Jun 08 2011 Antoine Ginies <aginies@mandriva.com> 0.7.5-1mdv2011.0
+ Revision: 683258
- import python-netaddr


* Wed Jun 8 2011 Antoine Ginies <aginies@mandriva.com> 0.7.5
- first release for Mandriva 
